package com.bocloud.cmp.model.hmc;

import java.util.Date;
import java.util.List;

public class HmdProfileModel extends HmdGenericModel {
    private String name; // 名称
    private String type; // 类型
    private Boolean assignAllResources; // 使用系统所有资源
    private Boolean sharedProcessor; // 使用共享处理器
    private Boolean dedicatedProcessor; // 使用专用处理器
    private Double minProUnits; // 最小处理单元数
    private Double desProUnits; // 期望处理单元数
    private Double maxProUnits; // 最大处理单元数
    private Integer minProVirt; // 最小共享虚拟处理器数
    private Integer desProVirt; // 期望共享虚拟处理器数
    private Integer maxProVirt; // 最大共享虚拟处理器数
    private Integer minPro; // 最小专用虚拟处理器数
    private Integer desPro; // 期望专用虚拟处理器数
    private Integer maxPro; // 最大专用虚拟处理器数
    private String proSharingMode; // 处理器共享模式，受限capped、不受限uncapped
    private Integer uncappedWeight; // 处理器共享模式为uncapped时，权重
    private Integer maxMemory; // 最小内存
    private Integer minMemory; // 期望内存
    private Integer desMemory; // 最大内存
    private Integer memoryBsrCount; // BSR阵列数
    private Integer memoryPageRatio; // 可配置页数
    private Integer memoryMinPageCount; // 最小页数
    private Integer memoryDesPageCount; // 期望页数:
    private Integer memoryMaxPageCount; // 最大页数
    private String bootMode; // 引导方式
    private Boolean autoStart; // 随受管系统一起自动启动
    private Boolean connMonitor; // 启用连接监视
    private Boolean redundantErrorPathReport; // 启用冗余错误路径报告
    private String processorCompatibilityMode; // 处理器兼容模式
    private Integer maxVirtualIoslots; // 最大虚拟插槽数
    private Boolean isDefaultProfile; // 是否默认概要文件
    private Boolean isActiveProfile; // 是否活动概要文件
    private Boolean isLastActivated; // 是否最后激活概要文件
    private Date lastActivated; // 最后激活时间
    private List<HmdVirtualIoAdapterModel> ioAdapters; // 虚拟io适配器
    private List<HmdVirtualNetworkAdapterModel> networkAdapters; // 虚拟网络适配器
    private List<HmdVirtualScsiAdapterModel> scsiAdapters; // 虚拟scsi适配器
    private List<HmdVirtualFabricAdapterModel> fabricAdapters; // 虚拟光纤适配器
    private List<HmdProfileHeaModel> heas; // 逻辑主机以太网适配器
    private HmdPartitionModel partition; // 所属逻辑分区
    private HmdServerSharedProcessorPoolModel sharedProPool; // 使用的虚拟处理器池

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getAssignAllResources() {
        return assignAllResources;
    }

    public void setAssignAllResources(Boolean assignAllResources) {
        this.assignAllResources = assignAllResources;
    }

    public Boolean getSharedProcessor() {
        return sharedProcessor;
    }

    public void setSharedProcessor(Boolean sharedProcessor) {
        this.sharedProcessor = sharedProcessor;
    }

    public Double getMinProUnits() {
        return minProUnits;
    }

    public void setMinProUnits(Double minProUnits) {
        this.minProUnits = minProUnits;
    }

    public Double getDesProUnits() {
        return desProUnits;
    }

    public void setDesProUnits(Double desProUnits) {
        this.desProUnits = desProUnits;
    }

    public Double getMaxProUnits() {
        return maxProUnits;
    }

    public void setMaxProUnits(Double maxProUnits) {
        this.maxProUnits = maxProUnits;
    }

    public Integer getMinProVirt() {
        return minProVirt;
    }

    public void setMinProVirt(Integer minProVirt) {
        this.minProVirt = minProVirt;
    }

    public Integer getDesProVirt() {
        return desProVirt;
    }

    public void setDesProVirt(Integer desProVirt) {
        this.desProVirt = desProVirt;
    }

    public Integer getMaxProVirt() {
        return maxProVirt;
    }

    public void setMaxProVirt(Integer maxProVirt) {
        this.maxProVirt = maxProVirt;
    }

    public Integer getMinPro() {
        return minPro;
    }

    public void setMinPro(Integer minPro) {
        this.minPro = minPro;
    }

    public Integer getDesPro() {
        return desPro;
    }

    public void setDesPro(Integer desPro) {
        this.desPro = desPro;
    }

    public Integer getMaxPro() {
        return maxPro;
    }

    public void setMaxPro(Integer maxPro) {
        this.maxPro = maxPro;
    }

    public Boolean getDedicatedProcessor() {
        return dedicatedProcessor;
    }

    public void setDedicatedProcessor(Boolean dedicatedProcessor) {
        this.dedicatedProcessor = dedicatedProcessor;
    }

    public Integer getUncappedWeight() {
        return uncappedWeight;
    }

    public void setUncappedWeight(Integer uncappedWeight) {
        this.uncappedWeight = uncappedWeight;
    }

    public String getProSharingMode() {
        return proSharingMode;
    }

    public void setProSharingMode(String proSharingMode) {
        this.proSharingMode = proSharingMode;
    }

    public Integer getMaxMemory() {
        return maxMemory;
    }

    public void setMaxMemory(Integer maxMemory) {
        this.maxMemory = maxMemory;
    }

    public Integer getMinMemory() {
        return minMemory;
    }

    public void setMinMemory(Integer minMemory) {
        this.minMemory = minMemory;
    }

    public Integer getDesMemory() {
        return desMemory;
    }

    public void setDesMemory(Integer desMemory) {
        this.desMemory = desMemory;
    }

    public Integer getMemoryBsrCount() {
        return memoryBsrCount;
    }

    public void setMemoryBsrCount(Integer memoryBsrCount) {
        this.memoryBsrCount = memoryBsrCount;
    }

    public Integer getMemoryPageRatio() {
        return memoryPageRatio;
    }

    public void setMemoryPageRatio(Integer memoryPageRatio) {
        this.memoryPageRatio = memoryPageRatio;
    }

    public Integer getMemoryMinPageCount() {
        return memoryMinPageCount;
    }

    public void setMemoryMinPageCount(Integer memoryMinPageCount) {
        this.memoryMinPageCount = memoryMinPageCount;
    }

    public Integer getMemoryDesPageCount() {
        return memoryDesPageCount;
    }

    public void setMemoryDesPageCount(Integer memoryDesPageCount) {
        this.memoryDesPageCount = memoryDesPageCount;
    }

    public Integer getMemoryMaxPageCount() {
        return memoryMaxPageCount;
    }

    public void setMemoryMaxPageCount(Integer memoryMaxPageCount) {
        this.memoryMaxPageCount = memoryMaxPageCount;
    }

    public String getBootMode() {
        return bootMode;
    }

    public void setBootMode(String bootMode) {
        this.bootMode = bootMode;
    }

    public Boolean getAutoStart() {
        return autoStart;
    }

    public void setAutoStart(Boolean autoStart) {
        this.autoStart = autoStart;
    }

    public Boolean getConnMonitor() {
        return connMonitor;
    }

    public void setConnMonitor(Boolean connMonitor) {
        this.connMonitor = connMonitor;
    }

    public Boolean getRedundantErrorPathReport() {
        return redundantErrorPathReport;
    }

    public void setRedundantErrorPathReport(Boolean redundantErrorPathReport) {
        this.redundantErrorPathReport = redundantErrorPathReport;
    }

    public String getProcessorCompatibilityMode() {
        return processorCompatibilityMode;
    }

    public void setProcessorCompatibilityMode(String processorCompatibilityMode) {
        this.processorCompatibilityMode = processorCompatibilityMode;
    }

    public Integer getMaxVirtualIoslots() {
        return maxVirtualIoslots;
    }

    public void setMaxVirtualIoslots(Integer maxVirtualIoslots) {
        this.maxVirtualIoslots = maxVirtualIoslots;
    }

    public Boolean getIsDefaultProfile() {
        return isDefaultProfile;
    }

    public void setIsDefaultProfile(Boolean isDefaultProfile) {
        this.isDefaultProfile = isDefaultProfile;
    }

    public Boolean getIsActiveProfile() {
        return isActiveProfile;
    }

    public void setIsActiveProfile(Boolean isActiveProfile) {
        this.isActiveProfile = isActiveProfile;
    }

    public Boolean getIsLastActivated() {
        return isLastActivated;
    }

    public void setIsLastActivated(Boolean isLastActivated) {
        this.isLastActivated = isLastActivated;
    }

    public Date getLastActivated() {
        return lastActivated;
    }

    public void setLastActivated(Date lastActivated) {
        this.lastActivated = lastActivated;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<HmdVirtualIoAdapterModel> getIoAdapters() {
        return ioAdapters;
    }

    public void setIoAdapters(List<HmdVirtualIoAdapterModel> ioAdapters) {
        this.ioAdapters = ioAdapters;
    }

    public List<HmdVirtualScsiAdapterModel> getScsiAdapters() {
        return scsiAdapters;
    }

    public void setScsiAdapters(List<HmdVirtualScsiAdapterModel> scsiAdapters) {
        this.scsiAdapters = scsiAdapters;
    }

    public List<HmdVirtualFabricAdapterModel> getFabricAdapters() {
        return fabricAdapters;
    }

    public void setFabricAdapters(List<HmdVirtualFabricAdapterModel> fabricAdapters) {
        this.fabricAdapters = fabricAdapters;
    }

    public List<HmdVirtualNetworkAdapterModel> getNetworkAdapters() {
        return networkAdapters;
    }

    public void setNetworkAdapters(List<HmdVirtualNetworkAdapterModel> networkAdapters) {
        this.networkAdapters = networkAdapters;
    }

    public HmdPartitionModel getPartition() {
        return partition;
    }

    public void setPartition(HmdPartitionModel partition) {
        this.partition = partition;
    }

    public HmdServerSharedProcessorPoolModel getSharedProPool() {
        return sharedProPool;
    }

    public HmdServerSharedProcessorPoolModel newSharedProPool() {
        this.sharedProPool = new HmdServerSharedProcessorPoolModel();
        return sharedProPool;
    }

    public void setSharedProPool(HmdServerSharedProcessorPoolModel sharedProPool) {
        this.sharedProPool = sharedProPool;
    }

    public List<HmdProfileHeaModel> getHeas() {
        return heas;
    }

    public void setHeas(List<HmdProfileHeaModel> heas) {
        this.heas = heas;
    }
}
